### Method

# Ide Buffer get_iter_location

#### Declaration

    IdeLocation*
    ide_buffer_get_iter_location (
      IdeBuffer* self,
      const GtkTextIter* iter
    )

#### Description

Gets an `IdeLocation` for the position represented by `iter`.

Available since: | 3.32

#### Parameters

`iter` | `GtkTextIter`
| A `GtkTextIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeLocation`
| An `IdeLocation`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.